;;;;;;;;;;;
;; insert
;;;;;;;;;;;

(define (insert-img-fsb-ok widget client-data call-data)
  (xt-popdown fsb-shell)
  (clear-selected-area)
  (let* ((file-name (fsb-get-file-name widget))
	 (tag-text (string-append "<img src="
				  file-name
				  ">"))
	 (top (xword-window.insert-tag xw tag-text cur-tag-attr)))
    (xword-window.scroll-to-cursor xw)
    (xword-window.redraw xw top)))


(define (insert-img-fsb-cancel widget client-data call-data)
  (xt-popdown fsb-shell))


(define (insert-img doc)
  (show-fsb)
  (xt-remove-all-callbacks fsb (xm-n-ok-callback))
  (xt-remove-all-callbacks fsb (xm-n-cancel-callback))
  (xt-add-callback fsb (xm-n-ok-callback) insert-img-fsb-ok (list #f))
  (xt-add-callback fsb (xm-n-cancel-callback) insert-img-fsb-cancel (list #f)))
